<template>
  <div
    :class="['notification','notification-fade' ,'is-light', `is-${notification.level || 'info'}`]"
  >
    <button class="delete" @click="close()"></button>
    {{notification.message}}
  </div>
</template>

<script lang="ts">
export default {
  name: "Notification",
  props: ["notification"],
  methods: {
    close() {
      this.$emit("onClose");
    }
  }
};
</script>
